# Thread::isStarted

(PECL pthreads >= 2.0.0)

Thread::isStarted — State Detection

### Description

public Thread::isStarted ( void ) : bool

Tell if the referenced Thread was started

### Parameters

This function has no parameters.

### Return Values

boolean indication of state

### Examples

Example #1 Tell if the referenced Thread was started

`<?php
$worker = new Worker();
$worker->start();
var_dump($worker->isStarted());
?>`

The above example will output:

    bool(true)